import { Renderer, Slugger } from './deps';
import { CellFlags, CliRendererOptions, HeadingLevel, InfoString } from './types';
export declare class CliRenderer extends Renderer {
    readonly opts: CliRendererOptions;
    constructor(opts: CliRendererOptions);
    checkbox(checked: boolean): string;
    strong(text: string): string;
    em(text: string): string;
    codespan(code: string): string;
    br(): string;
    del(text: string): string;
    link(href: string | null, title: string | null, text: string): string;
    image(href: string | null, title: string | null, text: string): string;
    text(text: string): string;
    code(code: string, infostring: InfoString, escaped: boolean): string;
    blockquote(quote: string): string;
    heading(text: string, level: HeadingLevel, raw: string, slugger: Slugger): string;
    hr(): string;
    paragraph(text: string): string;
    html(html: string): string;
    list(body: string, ordered: boolean, start: number): string;
    listitem(text: string): string;
    table(header: string, body: string): string;
    tablerow(content: string): string;
    tablecell(content: string, flags: CellFlags): string;
    get wrapper(): (text: string) => string;
}
